%define rel 1

Name:           qtermwidget
Version: 1.3.0
Release:        %mkrel %{rel}
Summary:        Qt5 terminal widget
License:        GPLv2
Group:          Development/Other
URL:            https://lxqt-project.org/
Source:         https://github.com/lxqt/qtermwidget/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  cmake(lxqt-build-tools)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)

%description
QTermWidget is an open source project based on KDE4 Konsole application.
The main goal of this project is to provide unicode-enabled,
embeddable QT5 widget for using as a built-in console (or terminal
emulation widget).

%files
%doc AUTHORS
%{_datadir}/%{name}5/

#-----------------------------------------------------------------------

%define libqtermwidget5_major 1
%define libqtermwidget5 %mklibname qtermwidget5_ %libqtermwidget5_major

%package -n %libqtermwidget5
Summary:        Runtime library for %{name}
Group:          System/Libraries
Requires:       %name = %version-%release

%description -n %libqtermwidget5
Librairy files needed by %name.

%files -n %libqtermwidget5
%_libdir/libqtermwidget5.so.%{libqtermwidget5_major}{,.*}

#-----------------------------------------------------------------------

%define libnamedev %mklibname %name -d

%package -n     %libnamedev
Summary:        Qt5 terminal widget - devel package
Group:          Development/Other
Requires:       %libqtermwidget5 >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %libnamedev
This package provides headers files for qtermwidget development.

%files -n %libnamedev
%dir %{_includedir}/%{name}5
%{_includedir}/%{name}5/*.h
%{_libdir}/lib%{name}5.so
%{_libdir}/cmake/%{name}5/
%{_libdir}/pkgconfig/%{name}5.pc

#-----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5

%cmake_build

%install
%cmake_install



%changelog
* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953142
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938787
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904140
- new version 1.2.0

* Fri Apr 22 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1852646
- Release 1.1.0

* Mon Apr 04 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1843946
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761728
- Fix major ( from papoteur)
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716042
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.1-2.mga8
+ Revision: 1659627
- Rebuild for new Qt5

* Wed Dec 16 2020 daviddavid <daviddavid> 0.16.1-1.mga8
+ Revision: 1657950
- New version 0.16.1

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643195
- New version 0.16.0
- update Url and Source Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571806
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1525015
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1384382
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380847
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361313
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.9.0-3.mga7
+ Revision: 1345495
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1300702
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1234409
- new version: 0.9.0

* Tue Nov 07 2017 neoclust <neoclust> 0.8.0-1.mga7
+ Revision: 1176474
- New version 0.8.0

* Wed Jan 18 2017 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 1082328
- new version: 0.7.1

* Thu Nov 10 2016 neoclust <neoclust> 0.7.0-2.mga6
+ Revision: 1066196
- Fix devel package name and requires

* Thu Nov 10 2016 neoclust <neoclust> 0.7.0-1.mga6
+ Revision: 1066191
- New version 0.7.0

* Sat Jan 09 2016 dglent <dglent> 0.6.0-1.mga6
+ Revision: 920703
- Version 0.6.0
- Qt5 build

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 745477
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 688543
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 517900
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 379984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 07 2012 matteo <matteo> 0.4.0-1.mga3
+ Revision: 268729
- new version

* Thu Jan 05 2012 matteo <matteo> 0.2.0-3.mga2
+ Revision: 191929
- bumped release

* Mon Dec 19 2011 matteo <matteo> 0.2.0-2.mga2
+ Revision: 184368
- spec file reviewed

* Sun Dec 18 2011 matteo <matteo> 0.2.0-1.mga2
+ Revision: 183486
- fixed Version number
- spec file cleaned
- imported package qtermwidget

